Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xgit-merge-ours.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/git-merge-ours.sh b/git-merge-ours.sh
index a64704f3e5..4f3d053889 100755
--- a/git-merge-ours.sh
+++ b/git-merge-ours.sh
@@ -4,4 +4,11 @@
#
# Pretend we resolved the heads, but declare our tree trumps everybody else.
#
+
+# We need to exit with 2 if the index does not match our HEAD tree,
+# because the current index is what we will be committing as the
+# merge result.
+
+test "$(git-diff-index --cached --name-status HEAD)" = "" || exit 2
+
exit 0